GEMEXP(1)

NAME
gemexp - export a directory over Gemini

SYNOPSIS
gemexp [-hRVv] [-d certs-dir] [-H hostname] [-p port] [directory]

DESCRIPTION
gemexp exports the given directory over the Gemini protocol. It's intended to be used interactively mostly for testing purposes, for a full-fledged daemon look for gmid(8).

The arguments are as follows:

-d certs-path
    Directory where certificates are stored. By default is $XDG_DATA_HOME/gemexp, i.e. ~/.local/share/gemexp.

-H hostname
    The hostname to use, localhost by default. Certificates for the given hostname are searched inside the certs-dir specified with the -d option. The certificate files are named hostname.pem and hostname.key and are implicitly generated if not found.

-h, --help
    Print the usage and exit.

-p port
    The port to bind to, 1965 by default.

-R  Generate an RSA key instead of an EC one.

-V, --version
    Print the version and exit.

-v  Verbose mode.

directory
    The root directory to serve, or the current working directory if not specified.

SEE ALSO
gg(1), gmid(8)

ACKNOWLEDGEMENTS
gemexp uses the “Flexible and Economical” UTF-8 decoder written by Bjoern Hoehrmann.

AUTHORS
-nosplit The gemexp program was written by Omar Polo <op@omarpolo.com>.